Summary:       Crossplatform DVD Authoring System. 
Name:          DVDStyler
Version:       20041125
Release:       1
Group:         Application/Multimedia
Distribution:  Qilinux
Vendor:        QiLinux
Packager:      Matteo Bernasconi <voyagernm@virgilio.it>
URL:           http://
Source:        %{name}-%{version}.tar.gz
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: wxGTK-devel >= 2.4.2, dvd+rw-tools, mpgtx 
Requires:      wxGTK, dvdauthor, mjpegtools, mpgtx, dvd+rw-tools   

%description
DVDStyler is a crossplatform DVD Authoring System. 

%prep
test x"$RPM_BUILD_ROOT" != x/  && rm -rf "$RPM_BUILD_ROOT"

%setup -q 

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make %{_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Create the system menu entry
mkdir -p %{buildroot}%{_datadir}/applnk/Multimedia
cat > %{buildroot}%{_datadir}/applnk/Multimedia/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=dvdstyler
Icon=/usr/share/pixmaps/dvdstyler.png
Terminal=0
Type=Application
EOF
 
%files 
%defattr(-,root,root)
%{_datadir}/*
%{_bindir}/*


%clean
test x"$RPM_BUILD_ROOT" != x/  && rm -rf "$RPM_BUILD_ROOT"


%changelog
* Wed Dec 8 2004 Matteo Bernasconi <voyagernm@virgilio.it> 20041125-1qilnx
- First Build
